var discord = require('discord.js');
var auth = require('./auth.json');
var settings = require('./settings.json');

var client = new discord.Client();
client.login(auth.token);

client.on('error', (err) => {
   console.log(err.message)
});

client.on("message", message => {
  if (message.author.bot) return; // 自分へ返事しないで

  var random = Math.floor((Math.random() * settings.maxNumber) + 1);

  if (settings.luckyNumber === random) {
    message.channel.send('ワイトもそう思います。');
  }
  else if (message.isMentioned(client.user)) {
    message.reply('ワイトもそう思います。');
  }
  else {
    // 日本語の文字
    if (/ここ好き/.test(message.content)
    　|| /ここー好き/.test(message.content)
    　|| /ここ〜好き/.test(message.content)
    　|| /ここ-好き/.test(message.content)
    　|| /ここ~好き/.test(message.content)
    ) { // 普通
      message.channel.send('ワイトもそう思います。');
    }
    else if (/ここすき/.test(message.content)
    　|| /ここーすき/.test(message.content)
    　|| /ここ〜すき/.test(message.content)
    　|| /ここ-すき/.test(message.content)
    　|| /ここ~すき/.test(message.content)
    ) { // ひらがなのみ
      message.channel.send('わいともそうおもいます。');
    }
    else if (/ココスキ/.test(message.content)
    　|| /ココースキ/.test(message.content)
    　|| /ココ〜スキ/.test(message.content)
    　|| /ココ-スキ/.test(message.content)
    　|| /ココ~スキ/.test(message.content)
    ) { // 全角カタカナ
      message.channel.send('ワイトモソウオモイマス。');
    }
    else if (/ｺｺｽｷ/.test(message.content)
    　|| /ｺｺｰｽｷ/.test(message.content)
    　|| /ｺｺ~ｽｷ/.test(message.content)
    ) { // 半角カタカナ
      message.channel.send('ﾜｲﾄﾓｿｳｵﾓｲﾏｽ｡');
    }
    else if (/kokosuki/i.test(message.content)) { // 半角ローマ字
      message.channel.send('Waito mo sou omoimasu.');
    }
    else if (/ｋｏｋｏｓｕｋｉ/i.test(message.content)) { // 全角ローマ字
      message.channel.send('Ｗａｉｔｏ　ｍｏ　ｓｏｕ　ｏｍｏｉｍａｓｕ．');
    }
    else if (/кокосуки/i.test(message.content)) { // キリル文字
      message.channel.send('Ваито мо соу омоимасу.');
    }
    else if (/고고수기/.test(message.content)) { // ハングル文字
      message.channel.send('인간모소뫼마수.');
    }

    // 他の言語
    else if (/I like this/i.test(message.content)) { // 英語
      message.channel.send('Wight also thinks so.');
    }
    else if (/Ik vind dit leuk/i.test(message.content)) { // オランダ語
      message.channel.send('Wijt vindt het ook.');
    }
    else if (/Ja to lubię/i.test(message.content)) { // ポーランド語
      message.channel.send('Łajt też się to wydaje.');
    }
    else if (/Esto me gusta/i.test(message.content)) { // スペイン語、PabloMK7
      message.channel.send('Guaigt piensa lo mismo.');
    }
    else if (/喜欢这个/.test(message.content)) { // 中国語、Akasha
      message.channel.send('怀特也这么认为。');
    }
    else if (/Bunu seviyorum/.test(message.content)) { // トルコ語、DarTisD
      message.channel.send('Vayt de öyle düşünüyor.');
    }
    else if (/Ich mag das/.test(message.content)) { // ドイツ語、DarTisD
      message.channel.send('Weit findet das auch so.');
    }
    else if (/여기 좋아/.test(message.content)) { // 韓国語、bosomi
      message.channel.send('와이트도 그렇게 생각합니다.');
    }
    else if (/Mi piace/.test(message.content)) { // イタリア語、Ermelber
      message.channel.send('Anche Uait la pensa così.');
    }
  }
});